#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange_localdev
    importQueue: sitImportQueue_localdev
    importkey: sitImportExchange.failureImportKey_localdev

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR

server:
  port: 9196
  max-http-header-size: 262144
  servlet:
    session:
      tracking-modes: cookie

gridFailureInformation:
  autopublish: false
  onceOnlyImport: false
  excludeEquals: true
  excludeAlreadyEdited: true

logging.level.org.eclipse.openk.gridfailureinformation.jobs.stoerauskunftinterface.api.StoerauskunftApi: DEBUG

---

spring:
  config:
    activate:
      on-profile: dev-db
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
#    importExchange: sitImportExchange_localdev_saris_simon
#    importQueue: sitImportQueue_localdev_saris_simon
#    importkey: sitImportExchange.failureImportKey_localdev_simon

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey
